changelog 4.48 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12
lxqt-globalkeys (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped Standards to 4.1.1 +Vcs-Browser: 
  * Added Breaks/Replaces for lxqt-common << 0.12.0
  * Added override_dh_missing
  * Added autostart things to install

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 17:24:29 +0200

Alf Gaida's avatar
Alf Gaida committed
13 14 15 16 17 18 19 20 21
lxqt-globalkeys (0.11.1-2) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Recommend lxqt-qtplugin (Closes: #866235)
  * Recommend lxqt-session - globalkeys make only sense with the session
  * Suggest lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 21:47:02 +0200

22 23 24 25 26 27 28 29 30 31 32 33 34 35 36
lxqt-globalkeys (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 13:28:07 +0100

37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66
lxqt-globalkeys (0.11.0-3) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Sync debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, compat 10 standard
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0),
  * Added Recommends lxqt-globalkeys-l10n
  * Followin the Multiarch hinter:
    - Marked liblxqt-globalkeys-ui0 Multi-Arch: same
    - Marked liblxqt-globalkeys0 Multi-Arch: same
  * Fixed VCS-Fields, use https and plain /git/
  * Fixed copyright Format field
  * Bumped copyright years
  * Don't install translations
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added hardening options to rules
  * Fixed .gitignore
  * Removed Patches, applied upstream
  * Fixed *-dev.install

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 02:47:50 +0200

Alf Gaida's avatar
Alf Gaida committed
67 68 69 70 71 72
lxqt-globalkeys (0.10.0-5) unstable; urgency=medium

  * use static_cast for errno

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Jan 2016 21:30:24 +0100

73 74 75 76 77 78
lxqt-globalkeys (0.10.0-4) unstable; urgency=medium

  * cast some error_t's to make hurd happy 

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 23:26:32 +0100

Alf Gaida's avatar
Alf Gaida committed
79 80 81 82 83 84 85
lxqt-globalkeys (0.10.0-3) unstable; urgency=medium

  * some cleanup in debian/rules
  * build new -dbgsym-packages

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 19:00:17 +0100

86
lxqt-globalkeys (0.10.0-2) unstable; urgency=medium
87

88 89
  * Merge from experimental.
  * New upstream release.
90

91
 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 15:40:51 +0800
92

93 94 95 96 97 98 99 100 101 102 103
lxqt-globalkeys (0.9.0+20150806-2) unstable; urgency=medium

  * Remove --list-missing from rules, it's included in --fail-missing
  * Fixed .gitignore
  * Removed breaks/replaces
  * Removed the most minimum versions
  * Beautified debian/control
  * Added linker flags -Wl,--as-needed

 -- Alf Gaida <agaida@siduction.org>  Wed, 11 Nov 2015 21:59:30 +0100

104
lxqt-globalkeys (0.9.0+20150806-1) unstable; urgency=low
Alf Gaida's avatar
Alf Gaida committed
105

106 107 108
  [ Alf Gaida ]
  * inititial debian files.
  * Initial release. (Closes: #747601)
Alf Gaida's avatar
Alf Gaida committed
109

110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142
  [ ChangZhuo Chen (陳昌倬) ]
  * Add *.symbols.

  [ Alf Gaida ]
  * Imported Upstream version 0.8.0.
  * bump standards 3.9.6.
  * Min liblxqt-qt5-0-dev version 0.8.0.
  * Min Qt version 5.3.2.
  * install fixed (translation path).
  * mangled symbol files added.
  * lintian-overrides for missed manpages and unknown category warnings.
  * desktop file OnlyShowIn patched.
  * new release 0.9.0 fix symbols fix package names add source/options fix
    debian $foo.
  * Some cleanup in debian $foo
  * some changes for debian $foo
  * dependencies fixed.
  * installs fixed.
  * current symbols.
  * multiarch removed, handled by cmake.
  * drop transitional packages.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Removing whitespaces at EOL and EOF.
  * Drop GPL-2+ license from copyright as it hasn't been mentioned
    anywhere in headers.
  * Added fullstop in descriptions.
  * Use lower-case for description.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 16 Aug 2015 02:18:03 +0800